Loading...
Searching...
No Matches
casacore::RawDataConversion Class Reference
casa package (libcasa_casa) » OS_module

More...

`#include <RawDataConversion.h>`

## Public Member Functions

| RawDataConversion ()
| Construct the object.
virtual | ~RawDataConversion ()
size_t | toLocal (char &to, const void *from) const override
| Copy one value from external to local (is a simple memcpy).
size_t | toLocal (unsigned char &to, const void *from) const override
size_t | toLocal (short &to, const void *from) const override
size_t | toLocal (unsigned short &to, const void *from) const override
size_t | toLocal (int &to, const void *from) const override
size_t | toLocal (unsigned int &to, const void *from) const override
size_t | toLocal (Int64 &to, const void *from) const override
size_t | toLocal (uInt64 &to, const void *from) const override
size_t | toLocal (float &to, const void *from) const override
size_t | toLocal (double &to, const void *from) const override
size_t | toLocal (char *to, const void *from, size_t nr) const override
| Copy multiple values from external to local (is a simple memcpy).
size_t | toLocal (unsigned char *to, const void *from, size_t nr) const override
size_t | toLocal (short *to, const void *from, size_t nr) const override
size_t | toLocal (unsigned short *to, const void *from, size_t nr) const override
size_t | toLocal (int *to, const void *from, size_t nr) const override
size_t | toLocal (unsigned int *to, const void *from, size_t nr) const override
size_t | toLocal (Int64 *to, const void *from, size_t nr) const override
size_t | toLocal (uInt64 *to, const void *from, size_t nr) const override
size_t | toLocal (float *to, const void *from, size_t nr) const override
size_t | toLocal (double *to, const void *from, size_t nr) const override
size_t | fromLocal (void *to, char from) const override
| Copy one value from local to external (is a simple memcpy).
size_t | fromLocal (void *to, unsigned char from) const override
size_t | fromLocal (void *to, short from) const override
size_t | fromLocal (void *to, unsigned short from) const override
size_t | fromLocal (void *to, int from) const override
size_t | fromLocal (void *to, unsigned int from) const override
size_t | fromLocal (void *to, Int64 from) const override
size_t | fromLocal (void *to, uInt64 from) const override
size_t | fromLocal (void *to, float from) const override
size_t | fromLocal (void *to, double from) const override
size_t | fromLocal (void *to, const char *from, size_t nr) const override
| Copy multiple values from local to external (is a simple memcpy).
size_t | fromLocal (void *to, const unsigned char *from, size_t nr) const override
size_t | fromLocal (void *to, const short *from, size_t nr) const override
size_t | fromLocal (void *to, const unsigned short *from, size_t nr) const override
size_t | fromLocal (void *to, const int *from, size_t nr) const override
size_t | fromLocal (void *to, const unsigned int *from, size_t nr) const override
size_t | fromLocal (void *to, const Int64 *from, size_t nr) const override
size_t | fromLocal (void *to, const uInt64 *from, size_t nr) const override
size_t | fromLocal (void *to, const float *from, size_t nr) const override
size_t | fromLocal (void *to, const double *from, size_t nr) const override
Bool | canCopy (const char *) const override
| Determine if the data for a data type can be simply copied, thus if no conversion is needed.
Bool | canCopy (const unsigned char *) const override
Bool | canCopy (const short *) const override
Bool | canCopy (const unsigned short *) const override
Bool | canCopy (const int *) const override
Bool | canCopy (const unsigned int *) const override
Bool | canCopy (const Int64 *) const override
Bool | canCopy (const uInt64 *) const override
Bool | canCopy (const float *) const override
Bool | canCopy (const double *) const override
unsigned int | externalSize (const char *) const override
| Get the external size of the data type.
unsigned int | externalSize (const unsigned char *) const override
unsigned int | externalSize (const short *) const override
unsigned int | externalSize (const unsigned short *) const override
unsigned int | externalSize (const int *) const override
unsigned int | externalSize (const unsigned int *) const override
unsigned int | externalSize (const Int64 *) const override
unsigned int | externalSize (const uInt64 *) const override
unsigned int | externalSize (const float *) const override
unsigned int | externalSize (const double *) const override
Public Member Functions inherited from casacore::DataConversion
| DataConversion ()
| Construct the object.
virtual | ~DataConversion ()

## Detailed Description

A class with virtual functions to copy without conversion

### Intended use:

Public interface

### Review Status

Reviewed By:
  Friso Olnon
Date Reviewed:
  1996/11/06
Test programs:
  tDataConversion

### Synopsis

This class is a specialization of the abstract base class DataConversion. It contains functions to copy data without conversion.

This class exists to make it possible to use a DataConversion object when no conversion is actually needed.

### Example

See example in class DataConversion.

### Motivation

This class makes it possible to use the conversion framework for operations where a conversion is only a simple copy.

### To Do

- Support data type long double.

Definition at line 68 of file RawDataConversion.h.

## Constructor & Destructor Documentation

## RawDataConversion()

casacore::RawDataConversion::RawDataConversion | ( |  | ) |

inline

Construct the object.

Definition at line 188 of file RawDataConversion.h.

## ~RawDataConversion()

virtual casacore::RawDataConversion::~RawDataConversion | ( |  | ) |

virtual

## Member Function Documentation

## canCopy() [1/10]

Bool casacore::RawDataConversion::canCopy | ( | const char * |  | ) | const

override virtual

Determine if the data for a data type can be simply copied, thus if no conversion is needed.

This is always True.

Implements casacore::DataConversion.

## canCopy() [2/10]

Bool casacore::RawDataConversion::canCopy | ( | const double * |  | ) | const

override virtual

Implements casacore::DataConversion.

## canCopy() [3/10]

Bool casacore::RawDataConversion::canCopy | ( | const float * |  | ) | const

override virtual

Implements casacore::DataConversion.

## canCopy() [4/10]

Bool casacore::RawDataConversion::canCopy | ( | const int * |  | ) | const

override virtual

Implements casacore::DataConversion.

## canCopy() [5/10]

Bool casacore::RawDataConversion::canCopy | ( | const Int64 * |  | ) | const

override virtual

Implements casacore::DataConversion.

## canCopy() [6/10]

Bool casacore::RawDataConversion::canCopy | ( | const short * |  | ) | const

override virtual

Implements casacore::DataConversion.

## canCopy() [7/10]

Bool casacore::RawDataConversion::canCopy | ( | const uInt64 * |  | ) | const

override virtual

Implements casacore::DataConversion.

## canCopy() [8/10]

Bool casacore::RawDataConversion::canCopy | ( | const unsigned char * |  | ) | const

override virtual

Implements casacore::DataConversion.

## canCopy() [9/10]

Bool casacore::RawDataConversion::canCopy | ( | const unsigned int * |  | ) | const

override virtual

Implements casacore::DataConversion.

## canCopy() [10/10]

Bool casacore::RawDataConversion::canCopy | ( | const unsigned short * |  | ) | const

override virtual

Implements casacore::DataConversion.

## externalSize() [1/10]

unsigned int casacore::RawDataConversion::externalSize | ( | const char * |  | ) | const

override virtual

Get the external size of the data type.

This returns the sizeof.

Implements casacore::DataConversion.

## externalSize() [2/10]

unsigned int casacore::RawDataConversion::externalSize | ( | const double * |  | ) | const

override virtual

Implements casacore::DataConversion.

## externalSize() [3/10]

unsigned int casacore::RawDataConversion::externalSize | ( | const float * |  | ) | const

override virtual

Implements casacore::DataConversion.

## externalSize() [4/10]

unsigned int casacore::RawDataConversion::externalSize | ( | const int * |  | ) | const

override virtual

Implements casacore::DataConversion.

## externalSize() [5/10]

unsigned int casacore::RawDataConversion::externalSize | ( | const Int64 * |  | ) | const

override virtual

Implements casacore::DataConversion.

## externalSize() [6/10]

unsigned int casacore::RawDataConversion::externalSize | ( | const short * |  | ) | const

override virtual

Implements casacore::DataConversion.

## externalSize() [7/10]

unsigned int casacore::RawDataConversion::externalSize | ( | const uInt64 * |  | ) | const

override virtual

Implements casacore::DataConversion.

## externalSize() [8/10]

unsigned int casacore::RawDataConversion::externalSize | ( | const unsigned char * |  | ) | const

override virtual

Implements casacore::DataConversion.

## externalSize() [9/10]

unsigned int casacore::RawDataConversion::externalSize | ( | const unsigned int * |  | ) | const

override virtual

Implements casacore::DataConversion.

## externalSize() [10/10]

unsigned int casacore::RawDataConversion::externalSize | ( | const unsigned short * |  | ) | const

override virtual

Implements casacore::DataConversion.

## fromLocal() [1/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | char | from ) const

override virtual

Copy one value from local to external (is a simple memcpy).

The from and to buffer should not overlap.

Implements casacore::DataConversion.

## fromLocal() [2/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | const char * | from,
|  | size_t | nr ) const

override virtual

Copy multiple values from local to external (is a simple memcpy).

The from and to buffer should not overlap.

Implements casacore::DataConversion.

## fromLocal() [3/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | const double * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [4/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | const float * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [5/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | const int * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [6/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | const Int64 * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [7/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | const short * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [8/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | const uInt64 * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [9/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | const unsigned char * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [10/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | const unsigned int * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [11/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | const unsigned short * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [12/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | double | from ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [13/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | float | from ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [14/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | int | from ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [15/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | Int64 | from ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [16/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | short | from ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [17/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | uInt64 | from ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [18/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | unsigned char | from ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [19/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | unsigned int | from ) const

override virtual

Implements casacore::DataConversion.

## fromLocal() [20/20]

size_t casacore::RawDataConversion::fromLocal | ( | void * | to,
|  | unsigned short | from ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [1/20]

size_t casacore::RawDataConversion::toLocal | ( | char & | to,
|  | const void * | from ) const

override virtual

Copy one value from external to local (is a simple memcpy).

The from and to buffer should not overlap.

Implements casacore::DataConversion.

## toLocal() [2/20]

size_t casacore::RawDataConversion::toLocal | ( | char * | to,
|  | const void * | from,
|  | size_t | nr ) const

override virtual

Copy multiple values from external to local (is a simple memcpy).

The from and to buffer should not overlap.

Implements casacore::DataConversion.

## toLocal() [3/20]

size_t casacore::RawDataConversion::toLocal | ( | double & | to,
|  | const void * | from ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [4/20]

size_t casacore::RawDataConversion::toLocal | ( | double * | to,
|  | const void * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [5/20]

size_t casacore::RawDataConversion::toLocal | ( | float & | to,
|  | const void * | from ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [6/20]

size_t casacore::RawDataConversion::toLocal | ( | float * | to,
|  | const void * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [7/20]

size_t casacore::RawDataConversion::toLocal | ( | int & | to,
|  | const void * | from ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [8/20]

size_t casacore::RawDataConversion::toLocal | ( | int * | to,
|  | const void * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [9/20]

size_t casacore::RawDataConversion::toLocal | ( | Int64 & | to,
|  | const void * | from ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [10/20]

size_t casacore::RawDataConversion::toLocal | ( | Int64 * | to,
|  | const void * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [11/20]

size_t casacore::RawDataConversion::toLocal | ( | short & | to,
|  | const void * | from ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [12/20]

size_t casacore::RawDataConversion::toLocal | ( | short * | to,
|  | const void * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [13/20]

size_t casacore::RawDataConversion::toLocal | ( | uInt64 & | to,
|  | const void * | from ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [14/20]

size_t casacore::RawDataConversion::toLocal | ( | uInt64 * | to,
|  | const void * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [15/20]

size_t casacore::RawDataConversion::toLocal | ( | unsigned char & | to,
|  | const void * | from ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [16/20]

size_t casacore::RawDataConversion::toLocal | ( | unsigned char * | to,
|  | const void * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [17/20]

size_t casacore::RawDataConversion::toLocal | ( | unsigned int & | to,
|  | const void * | from ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [18/20]

size_t casacore::RawDataConversion::toLocal | ( | unsigned int * | to,
|  | const void * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [19/20]

size_t casacore::RawDataConversion::toLocal | ( | unsigned short & | to,
|  | const void * | from ) const

override virtual

Implements casacore::DataConversion.

## toLocal() [20/20]

size_t casacore::RawDataConversion::toLocal | ( | unsigned short * | to,
|  | const void * | from,
|  | size_t | nr ) const

override virtual

Implements casacore::DataConversion.

The documentation for this class was generated from the following file:

- casa/OS/RawDataConversion.h